;;; $DOOMDIR/+projects.el -*- lexical-binding: t; -*-

(defvar project-locations '(("~/ghq/" . 3)
                            ("~/.dotfiles" . 0)
                            ("~/configs" . 0))
  "Where all my projects are located.

Most of them are managed using `ghq' in ~/ghq/, however there are also some
projects in other locations.")

(after! projectile
  (setq projectile-project-search-path project-locations))

(after! magit
  (add-hook! 'after-save-hook #'magit-after-save-refresh-status)
  (setq magit-save-repository-buffers t ; ask to save modified files in repo
        magit-repository-directories project-locations))

(use-package! ghq)
